# $Revision: 1.171.2.5.2.5 $, $Date: 2007/10/17 12:08:48 $
# NOTE: Makefiles are broken, build could stop long time after first fatal error
#
# Conditional build:
%bcond_without	tls		# don't use TLS (which requires recent 2.4.x or 2.6 kernel)
%bcond_without	static_libs	# don't build static libraries
%bcond_with	bootstrap	# don't require mono-devel to find req/prov
%bcond_with	mint		# build mint instead of mono VM (JIT) [broken]
#
%ifnarch %{ix86} %{x8664} alpha arm ia64 ppc s390 s390x sparc sparcv9 sparc64
# JIT not supported on hppa
%define		with_mint	1
%endif
%define		_glibver	1:2.4
#
Summary:	Common Language Infrastructure implementation
Summary(pl):	Implementacja Common Language Infrastructure
Name:		mono
Version:	1.2.3.1
Release:	3
License:	GPL/LGPL/MIT
Group:		Development/Languages
#Source0Download: http://go-mono.com/sources-stable/
Source0:	http://www.go-mono.com/sources/mono-1.1/%{name}-%{version}.tar.gz
# Source0-md5:	4e4cdb6f98f1ea62bb1900f214c55e58
Patch0:		%{name}-alpha-float.patch
Patch1:		%{name}-mint.patch
Patch2:		%{name}-sonames.patch
Patch3:		%{name}-script_fixes.patch
Patch4:		%{name}-awk.patch
URL:		http://www.mono-project.com/
%if %(test -r /dev/random ; echo $?)
BuildRequires:	ACCESSIBLE_/dev/random
%endif
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	glib2-devel >= %{_glibver}
BuildRequires:	libtool
%{!?with_bootstrap:BuildRequires:	mono-devel >= 1.1.13.8-3}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	rpmbuild(monoautodeps)
Requires:	libgdiplus >= 1.2.3
Suggests:	binfmt-detector
ExclusiveArch:	%{ix86} %{x8664} alpha arm hppa ia64 mips ppc s390 s390x sparc sparcv9 sparc64
# plain i386 is not supported; mono uses cmpxchg/xadd which require i486
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_rpmlibdir	/usr/lib/rpm

# debugger doesn't work with stripped mono
%define         _noautostrip    .*/mono

%if ! %{with bootstrap}
%define	__mono_provides	%{_rpmlibdir}/mono-find-provides
%define	__mono_requires	%{_rpmlibdir}/mono-find-requires
%endif

%description
The Common Language Infrastructure platform. Microsoft has created a
new development platform. The highlights of this new development
platform are:
- A runtime environment that provides garbage collection, threading
  and a virtual machine specification (The Virtual Execution System,
  VES),
- A comprehensive class library,
- A new language, C#. Very similar to Java, C# allows programmers to
  use all the features available on the .NET runtime,
- A language specification that compilers can follow if they want to
  generate classes and code that can interoperate with other programming
  languages (The Common Language Specification: CLS).

%{?with_tls:This version was build with TLS __thread.}

%description -l pl
Platforma CLI (Common Language Infrastructure). Microsoft stworzy
now platform developersk. Zalety tej platformy to:
- rodowisko, ktre dostarcza garbage collector, wtki oraz
  specyfikacj maszyny wirtualnej (The Virtual Execution System, VES),
- bibliotek klas,
- nowy jzyk, C#. Bardzo podobny do Javy, C# pozwala programistom na
  uywanie wszystkich moliwoci dostarczanych przez platform .NET,
- specyfikacja dla kompilatorw, ktre chc generowa kod
  wsppracujcy z innymi jzykami programowania (The Common Language
  Specification: CLS).

%{?with_tls:Ta wersja zostaa zbudowana z TLS __thread.}

%package devel
Summary:	Development resources for mono
Summary(pl):	Zasoby programisty do mono
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= %{_glibver}

%description devel
Development resources for mono.

%description devel -l pl
Zasoby programisty dla mono.

%package debug
Summary:	Mono libraries debugging resources
Summary(pl):	Pliki umoliwiajce debugowanie bibliotek mono
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description debug
Mono libraries debugging resources.

%description debug -l pl
Pliki umoliwiajce debugowanie bibliotek mono.

%package csharp
Summary:	C# compiler for mono
Summary(pl):	Kompilator C# dla mono
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description csharp
C# compiler for mono.

%description csharp -l pl
Kompilator C# dla mono.

%package ilasm
Summary:	ILasm compiler for mono
Summary(pl):	Kompilator ILasm dla mono
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}
Provides:	ilasm
Obsoletes:	pnet-compiler-ilasm

%description ilasm
ILasm compiler for mono.

%description ilasm -l pl
Kompilator ILasm dla mono.

%package jscript
Summary:	jscript compiler for mono
Summary(pl):	Kompilator jscript dla mono
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description jscript
jscript compiler for mono.

%description jscript -l pl
Kompilator jscript dla mono.

%package static
Summary:	Static mono library
Summary(pl):	Statyczna biblioteka mono
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mono library.

%description static -l pl
Statyczna biblioteka mono.

%package jay
Summary:	Yacc-like parser generator for Java and C#
Summary(pl):	Podobny do Yacca generator parserw dla Javy i C#
Group:		Development/Tools

%description jay
Yacc-like parser generator for Java and C#.

%description jay -l pl
Podobny do Yacca generator parserw dla Javy i C#.

%package compat-links
Summary:	Mono compatibility links
Summary(pl):	Dowizania dla kompatybilnoci
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description compat-links
This package contains links to binaries with names used in .NET and
dotGNU.

%description compat-links -l pl
Pakiet ten zawiera dowizania do programw o nazwach uywanych w .NET
oraz dotGNU.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cp -f /usr/share/automake/config.sub .
cp -f /usr/share/automake/config.sub libgc
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd libgc
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..

CPPFLAGS="-DUSE_LIBC_PRIVATE_SYMBOLS"
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-fast-install \
	--with-gc=included \
	--with-icu=no \
	--with-interp=%{?with_mint:yes}%{!?with_mint:no} \
	--with-jit=%{?with_mint:no}%{!?with_mint:yes} \
	--with-preview=yes \
	--with-tls=%{?with_tls:__thread}%{!?with_tls:pthread}

# mint uses heap to make trampolines, which need to be executable
# there is mprotect(...,PROT_EXEC) for ppc/s390, but not used
# (ifdef NEED_MPROTECT, which is never defined)
# in fact the flag should be "-Wl,-z,execheap" for libmint, but:
# -z execheap doesn't seem to do anything currently
# -z execstack for library makes only stack executable, but not heap
%{__make} -j1 \
	mint_LDFLAGS="-Wl,-z,execheap -Wl,-z,execstack"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_rpmlibdir}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

strip --strip-debug $RPM_BUILD_ROOT%{_bindir}/mono

rm -f $RPM_BUILD_ROOT%{_datadir}/jay/[A-Z]*

# this way we can run rpmbuild -bi several times, and directories
# have more meaningful name.
rm -rf pld-doc
install -d pld-doc/{webpage,notes}
cp -a web/* pld-doc/webpage
cp -a docs/* pld-doc/notes
rm -f pld-doc/*/Makefile*

rm -rf $RPM_BUILD_ROOT%{_datadir}/libgc-mono

mv -f $RPM_BUILD_ROOT%{_bindir}/mono-find* $RPM_BUILD_ROOT%{_rpmlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README pld-doc/*
%if %{with mint}
%attr(755,root,root) %{_bindir}/mint
%else
%attr(755,root,root) %{_bindir}/mono
%endif
%attr(755,root,root) %{_bindir}/caspol
%attr(755,root,root) %{_bindir}/cert*
%attr(755,root,root) %{_bindir}/chktrust*
%attr(755,root,root) %{_bindir}/dtd2rng
%attr(755,root,root) %{_bindir}/gacutil*
#%attr(755,root,root) %{_bindir}/httpcfg
%attr(755,root,root) %{_bindir}/makecert*
%attr(755,root,root) %{_bindir}/mkbundle*
%attr(755,root,root) %{_bindir}/mono-service
%attr(755,root,root) %{_bindir}/mono-service2
%attr(755,root,root) %{_bindir}/mono-xmltool
%attr(755,root,root) %{_bindir}/mozroots
%attr(755,root,root) %{_bindir}/secutil*
%attr(755,root,root) %{_bindir}/setreg*
%attr(755,root,root) %{_bindir}/sgen
%attr(755,root,root) %{_bindir}/signcode*
%attr(755,root,root) %{_bindir}/sn*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/libMonoPosixHelper.so
%attr(755,root,root) %{_libdir}/libMonoSupportW.so
%attr(755,root,root) %{_libdir}/libikvm-native.so
%dir %{_prefix}/lib/mono
%dir %{_prefix}/lib/mono/1.0
%dir %{_prefix}/lib/mono/2.0
%dir %{_prefix}/lib/mono/compat-1.0
%dir %{_prefix}/lib/mono/compat-2.0
%attr(755,root,root) %{_prefix}/lib/mono/*.*/*.dll
%attr(755,root,root) %{_prefix}/lib/mono/1.0/cert*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/chktrust*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/gacutil*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mkbundle*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mozroots*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/secutil*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/setreg*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/signcode*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/sn*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/caspol*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mono-service*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mkbundle*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mono-service*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/sgen*
%exclude %{_prefix}/lib/mono/1.0/*.mdb
%{_prefix}/lib/mono/gac
%exclude %{_prefix}/lib/mono/gac/*/*/*.mdb
%{_mandir}/man1/cert*.1*
%{_mandir}/man1/chktrust.1*
%{_mandir}/man1/gacutil.1*
%{_mandir}/man1/httpcfg.1*
%{_mandir}/man1/makecert.1*
%{_mandir}/man1/mkbundle.1*
%{_mandir}/man1/mint.1*
%{_mandir}/man1/mono.1*
%{_mandir}/man1/mono-service.1*
%{_mandir}/man1/mozroots.1*
%{_mandir}/man1/secutil.1*
%{_mandir}/man1/setreg.1*
%{_mandir}/man1/sgen.1*
%{_mandir}/man1/signcode.1*
%{_mandir}/man1/sn.1*
%{_mandir}/man1/permview.1*
%{_mandir}/man5/mono-config.5*
%dir %{_sysconfdir}/mono
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/browscap.ini
%dir %{_sysconfdir}/mono/1.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/1.0/machine.config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/1.0/DefaultWsdlHelpGenerator.aspx
%dir %{_sysconfdir}/mono/2.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/machine.config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/web.config

%exclude %{_prefix}/lib/mono/gac/Microsoft.JScript
%exclude %{_prefix}/lib/mono/1.0/Microsoft.JScript.dll
%exclude %{_prefix}/lib/mono/2.0/Microsoft.JScript.dll

%files jay
%defattr(644,root,root,755)
%doc mcs/jay/{ACKNOWLEDGEMENTS,ChangeLog,NEW_FEATURES,NOTES,README,README.jay}
%attr(755,root,root) %{_bindir}/jay
%dir %{_datadir}/jay
%{_datadir}/jay/skeleton*
%{_mandir}/man1/jay.1*

%files jscript
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mjs
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mjs*
%exclude %{_prefix}/lib/mono/1.0/*.mdb
%{_prefix}/lib/mono/gac/Microsoft.JScript
%{_prefix}/lib/mono/1.0/Microsoft.JScript.dll
%{_prefix}/lib/mono/2.0/Microsoft.JScript.dll
%exclude %{_prefix}/lib/mono/gac/*/*/*.mdb

%files compat-links
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/resgen
%attr(755,root,root) %{_bindir}/resgen2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/al*
%attr(755,root,root) %{_bindir}/cilc*
%attr(755,root,root) %{_bindir}/disco*
%attr(755,root,root) %{_bindir}/dtd2xsd
%attr(755,root,root) %{_bindir}/genxs*
%attr(755,root,root) %{_bindir}/macpack
%attr(755,root,root) %{_bindir}/monodiet
%attr(755,root,root) %{_bindir}/monodis
%attr(755,root,root) %{_bindir}/monograph
%attr(755,root,root) %{_bindir}/monop*
%attr(755,root,root) %{_bindir}/mono-shlib-cop*
%attr(755,root,root) %{_bindir}/nunit-console
%attr(755,root,root) %{_bindir}/nunit-console2
%attr(755,root,root) %{_bindir}/pedump
%attr(755,root,root) %{_bindir}/permview
%attr(755,root,root) %{_bindir}/prj2make
%attr(755,root,root) %{_bindir}/soapsuds*
%attr(755,root,root) %{_bindir}/sqlsharp*
%attr(755,root,root) %{_bindir}/wsdl*
%attr(755,root,root) %{_bindir}/xbuild
%attr(755,root,root) %{_bindir}/xsd*
%if %{with mint}
%attr(755,root,root) %{_libdir}/libmint.so
%else
%attr(755,root,root) %{_libdir}/libmono.so
%attr(755,root,root) %{_libdir}/libmono-profiler-cov.so
%endif
%{_libdir}/lib*.la
%attr(755,root,root) %{_prefix}/lib/mono/1.0/al*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/browsercaps-updater*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/cilc*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/CorCompare*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/disco*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/dtd2rng*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/dtd2xsd*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/genxs*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/ictool*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/macpack*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/makecert*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mono-api-*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/monop*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mono-shlib-cop*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mono-xmltool*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/nunit-console*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/permview*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/prj2make*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/resgen*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/soapsuds*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/sqlsharp*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/wsdl*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/xsd*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/al*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mono-api-info*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/monop*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/nunit-console*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/resgen*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/wsdl*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/xbuild*
%{_prefix}/lib/mono/2.0/MSBuild
%{_prefix}/lib/mono/2.0/*.xsd
%{_prefix}/lib/mono/2.0/*.targets
%{_prefix}/lib/mono/2.0/*.tasks
%exclude %{_prefix}/lib/mono/1.0/*.mdb
%exclude %{_prefix}/lib/mono/2.0/*.mdb
%attr(755,root,root) %{_rpmlibdir}/mono-find*
%{_datadir}/%{name}-1.0
%{_pkgconfigdir}/*.pc
%{_includedir}/%{name}-1.0
%{_mandir}/man1/al.1*
%{_mandir}/man1/cilc.1*
%{_mandir}/man1/disco.1*
%{_mandir}/man1/dtd2xsd.1*
%{_mandir}/man1/genxs.1*
%{_mandir}/man1/macpack.1*
%{_mandir}/man1/monoburg.1*
%{_mandir}/man1/monodis.1*
%{_mandir}/man1/monop.1*
%{_mandir}/man1/mono-shlib-cop.1*
%{_mandir}/man1/mono-xmltool.1*
%{_mandir}/man1/monostyle.1*
%{_mandir}/man1/oldmono.1*
%{_mandir}/man1/prj2make.1*
%{_mandir}/man1/soapsuds.1*
%{_mandir}/man1/sqlsharp.1*
%{_mandir}/man1/wsdl.1*
%{_mandir}/man1/xsd.1*

%files debug
%defattr(644,root,root,755)
%{_prefix}/lib/mono/1.0/*.mdb
%{_prefix}/lib/mono/2.0/*.mdb
%{_prefix}/lib/mono/gac/*/*/*.mdb

%files csharp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mcs
%attr(755,root,root) %{_bindir}/gmcs
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mcs.exe*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/gmcs.exe*
%exclude %{_prefix}/lib/mono/1.0/*.mdb
%exclude %{_prefix}/lib/mono/2.0/*.mdb
%{_mandir}/man1/mcs.1*

%files ilasm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ilasm*
%attr(755,root,root) %{_prefix}/lib/mono/1.0/ilasm*
%attr(755,root,root) %{_prefix}/lib/mono/2.0/ilasm*
%exclude %{_prefix}/lib/mono/1.0/*.mdb
%exclude %{_prefix}/lib/mono/2.0/*.mdb
%{_mandir}/man1/ilasm.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mono.spec,v $
Revision 1.171.2.5.2.5  2007/10/17 12:08:48  glen
- sorting

Revision 1.171.2.5.2.4  2007/10/17 12:08:31  glen
- binfmt-detector is really Suggests; rel 3

Revision 1.171.2.5.2.3  2007/03/05 23:19:24  qboosh
- release 2: rebuild with restored mono deps

Revision 1.171.2.5.2.2  2007/02/17 19:39:20  qboosh
- added CVE note

Revision 1.171.2.5.2.1  2007/02/17 09:00:56  qboosh
- merged 1.2.3.1 from HEAD [fixes CVE-2006-5072]

Revision 1.171.2.5  2006/08/04 19:31:51  freetz
- rel.4

Revision 1.171.2.4  2006/08/04 17:47:19  freetz
- fixed rpm scripts b0rkage, rel.3

Revision 1.171.2.3  2006/08/04 16:56:57  freetz
- post bootstrap rel.2

Revision 1.171.2.2  2006/08/03 19:10:49  freetz
- 1.1.13.8

Revision 1.171.2.1  2006/04/01 14:06:06  freetz
- for-AC branch (unofficial AC upgrade)

Revision 1.171  2006/03/30 11:31:28  qboosh
- whatever (in mono-find-* scripts)

Revision 1.170  2006/03/30 11:15:05  qboosh
- removed outdated (and wrong) sparc-exception patch

Revision 1.169  2006/03/29 16:16:54  wolf
- 1.1.13.6

Revision 1.168  2006/03/04 13:27:53  qboosh
- BR: xorg-lib-libX11 for libX11 SONAME detection (-devel not needed)

Revision 1.167  2006/03/04 13:18:06  qboosh
- removed obsolete alpha-tls patch and PKG_PATH workaround
- JIT is supported on arm and ia64 now

Revision 1.166  2006/03/04 00:05:12  wolf
- 1.1.13.4

Revision 1.165  2006/01/22 15:54:40  deejay1
- up to 1.1.13.2

Revision 1.164  2006/01/10 15:18:40  wolf
- 1.1.13
- moved Microsoft.JScript.dll stuff to mono-jscript to eliminate
  mono -> mono-csharp dependency

Revision 1.163  2005/12/23 17:01:50  undefine
- up to 1.1.12.1

Revision 1.162  2005/12/22 14:20:29  wolf
- 1.1.12

Revision 1.161  2005/12/16 21:24:53  wolf
- 1.1.11

Revision 1.160  2005/11/30 12:49:24  qboosh
- typo?

Revision 1.159  2005/11/30 12:32:32  freetz
- rel.3

Revision 1.158  2005/11/30 12:29:53  freetz
- rel.2.1 for bootstrap

Revision 1.157  2005/11/26 23:59:00  pluto
- release 2 for Th.

Revision 1.156  2005/11/11 20:23:42  wolf
- fix mono-find-{provides,requires}

Revision 1.155  2005/11/10 19:04:33  wolf
- 1.1.10

Revision 1.154  2005/11/05 06:29:23  qboosh
- i386 is not supported

Revision 1.153  2005/10/13 12:21:32  qboosh
- updated download URL

Revision 1.152  2005/10/11 10:22:30  malekith
- up to 1.1.9.2

Revision 1.151  2005/10/06 13:47:50  qboosh
- added alpha-tls patch

Revision 1.150  2005/10/05 18:19:28  qboosh
- renamed nptl bcond to tls (works with recent 2.4.x kernels too)

Revision 1.149  2005/09/24 10:42:48  pawcioos
- updated to 1.1.9.1

Revision 1.148  2005/09/13 16:13:29  wolf
- rel 1

Revision 1.147  2005/09/13 12:13:39  qboosh
- updated mint patch is back

Revision 1.146  2005/09/09 18:54:16  wolf
- 1.1.9

Revision 1.145  2005/09/06 09:34:21  qboosh
- build libgc with -DUSE_LIBC_PRIVATE_SYMBOLS to use __libc_stack_end
  (needed for distro 2.4.x kernels which hide memory layout from /proc)
- release 5

Revision 1.144  2005/09/04 15:16:10  qboosh
- define fix

Revision 1.143  2005/09/04 14:50:01  qboosh
- use %{_prefix}/lib not /usr/lib in paths (as build system does)
- added mint bcond to deal with interp/jit files differences

Revision 1.142  2005/09/04 11:19:41  arekm
- I've said ''sparc'' ;)

Revision 1.141  2005/09/04 11:14:36  arekm
- not ported to linux sparc

Revision 1.140  2005/09/03 21:34:07  qboosh
- added gc-sparc patch (now mono program builds, but crashes sometimes with SIGSEGV)

Revision 1.139  2005/09/03 19:51:33  arekm
- revert assert on sparc

Revision 1.138  2005/09/03 19:04:42  arekm
- rel 4

Revision 1.137  2005/09/03 10:59:02  qboosh
- added alpha-atomic patch (but build still crashes randomly - make races?)

Revision 1.136  2005/09/02 20:59:57  arekm
- rel 3; rebuild with proper libmagic (rpm will now find proper deps)

Revision 1.135  2005/08/29 05:47:01  qboosh
- mono-devel >= 1.1.8.3-2 BRed if not bootstrap

Revision 1.134  2005/08/12 16:51:39  wolf
- one more thing

Revision 1.133  2005/08/12 16:16:08  wolf
- mono-find-requires/provides are rpm dedicated scripts

Revision 1.132  2005/08/11 23:41:52  wolf
- s/rpm-build >= 4.4.2-0.3/rpmbuild(monoautodeps)/

Revision 1.131  2005/08/11 18:23:24  wolf
- handle rpm mono provides/requires
- rel 2

Revision 1.130  2005/08/11 17:52:36  wolf
- use bash for bash scripts

Revision 1.129  2005/07/28 19:53:35  pawcioos
- updated to 1.1.8.3

Revision 1.128  2005/07/12 13:43:04  freetz
- 1.1.8.2

Revision 1.127  2005/06/28 21:36:12  charles
- glib2-devel up to >= 2.4, -devel R: glib2-devel
- libMonoPosixHelper.so and libikvm-native.so (libraries!) moved to base
- rel. 2

Revision 1.126  2005/06/21 17:28:05  pawcioos
- updated to 1.1.8.1

Revision 1.125  2005/06/19 09:22:19  twittner
- added bcond_without static_libs

Revision 1.124  2005/06/18 22:42:00  qboosh
- pass --enable-fast-install to configure
  (disabling it by default in configure.in breaks monodis+monograph install
  with DESTDIR and no/older mono installed in system)

Revision 1.123  2005/06/18 21:13:36  qboosh
- updated sonames patch is back

Revision 1.122  2005/06/18 13:00:14  wolf
- 1.1.8

Revision 1.121  2005/05/12 19:02:09  wolf
- cut changelog

Revision 1.120  2005/05/12 05:52:01  qboosh
- note about i486 as minimal supported x86

Revision 1.119  2005/05/11 21:00:47  qboosh
- added mint patch (compilation fix)

Revision 1.118  2005/05/11 20:45:58  malekith
- merge qboosh's changed from DEVEL:
- libgdiplus seems to be used only at run, not build time
- use x8664 macro

Revision 1.117  2005/05/11 20:23:41  malekith
- merge the DEVEL branch
